mfscgiserv(8)

NAME
mfscgiserv - start HTTP/CGI server for Moose File System monitoring

SYNOPSIS
mfscgiserv [-H BIND_HOST] [-P BIND_PORT] [-R ROOT_PATH] [-t LOCKTIMEOUT] [-f [-v]] [ACTION]

mfscgiserv -h

DESCRIPTION

mfscgiserv is a very simple HTTP server capable of running CGI scripts for Moose File System monitoring.

OPTIONS

-h  print usage information and exit

-H BIND_HOST
    local address to listen on (default: any)

-P BIND_PORT
    port to listen on (default: 9425)

-R ROOT_PATH
    local path to use as HTTP document root (default is CGIDIR set up at configure time)

-f  run in foreground, don't daemonize

-v  log requests on stderr

-t LOCKTIMEOUT
    how long to wait for lockfile (in seconds; default is 60 seconds)

ACTION
    is one of start, stop, restart or test. Default action is restart. The test action will yeld one of two responses: "mfscgiserv pid: PID" or "mfscgiserv is not running".

COPYRIGHT
Copyright (C) 2017 Jakub Kruszona-Zawadzki, Core Technology Sp. z o.o. This file is part of MooseFS. MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only). MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with MooseFS; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA or visit http://www.gnu.org/licenses/gpl-2.0.html